Generate new JWT Token
curl --request POST \
--url https://{host}/frontend/api/v1/auth/jwt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claims": {},
"long-term-token": true,
"permissions": [
"read:billing"
],
"restrictions": [
"read:billing"
]
}
'import requests
url = "https://{host}/frontend/api/v1/auth/jwt"
payload = {
"claims": {},
"long-term-token": True,
"permissions": ["read:billing"],
"restrictions": ["read:billing"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claims: {},
'long-term-token': true,
permissions: ['read:billing'],
restrictions: ['read:billing']
})
};
fetch('https://{host}/frontend/api/v1/auth/jwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expire": "2023-11-07T05:31:56Z",
"token": "<string>"
}{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}Auth
Generate new JWT Token
POST
/
frontend
/
api
/
v1
/
auth
/
jwt
Generate new JWT Token
Authorizations
api_key_headerapi_keyjwt-tokenjwt-cookiejwt
API Key Security (Header).
Body
application/jsonapplication/x-www-form-urlencoded
Custom token claims map
Show child attributes
Show child attributes
Expire JWT token in 2 weeks if true and in 3 hours if false
Permissions list
Available options:
read:admin, read:billing, read:invite, read:media, read:profile, read:statistics, read:sub-user, read:user, write:admin, write:billing, write:invite, write:media, write:sub-user, write:user Restrictions list
Available options:
read:admin, read:billing, read:invite, read:media, read:profile, read:statistics, read:sub-user, read:user, write:admin, write:billing, write:invite, write:media, write:sub-user, write:user Was this page helpful?
⌘I

